#!/bin/sh

#variables
xorg_log="/var/log/Xorg.0.log"
PKGPWD=`pwd`
arch=""
dist=""

#check architecture
CMD=`uname -m | cut -c 1-6`
if [ "$CMD" = "amd64" ]; then
  echo "The architecture is x86_64"
  arch="x86_64"
else
  echo "The architecture is x86"
  arch="x86"
fi

#check the exist of xorg_log
test ! -e $xorg_log &&  echo "Can't find proper X Window Version, Please update driver manually!!" && exit 1

#check vermagic
if [ "$dist" = "" ]; then
  XORG_VER=`grep -F "X.Org X Server 1.18." $xorg_log`
  if [ "$XORG_VER" != "" ]; then
    echo "X Window is Xorg 7.8"
    dist="xorg78_5"
  fi
fi

if [ "$dist" = "" ]; then
  XORG_VER=`grep -F "X.Org X Server 1.17." $xorg_log`
  if [ "$XORG_VER" != "" ]; then
    echo "X Window is Xorg 7.8"
    dist="xorg78_4"
  fi
fi

if [ "$dist" = "" ]; then
  XORG_VER=`grep -F "X.Org X Server 1.14." $xorg_log`
  if [ "$XORG_VER" != "" ]; then
    echo "X Window is Xorg 7.8"
    dist="xorg78_1"
  fi
fi

if [ "$dist" = "" ]; then
  XORG_VER=`grep -F "X.Org X Server 1.12." $xorg_log`
  if [ "$XORG_VER" != "" ]; then
    echo "X Window is Xorg 7.7"
    dist="xorg77_2"
  fi
fi

if [ "$dist" = "" ]; then
  XORG_VER=`grep -F "X.Org X Server 1.7." $xorg_log`
  if [ "$XORG_VER" != "" ]; then
    echo "X Window is Xorg 7.5"
    dist="xorg75_1"
  fi
fi

if [ "$dist" = "" ]; then
  XORG_VER=`grep -F "X.Org X Server 1.6." $xorg_log`
  if [ "$XORG_VER" != "" ]; then
    echo "X Window is Xorg 7.5"
    dist="xorg75"
  fi
fi

if [ "$dist" = "" ]; then
  XORG_VER=`grep -F "X.Org X Server 1.4." $xorg_log`
  if [ "$XORG_VER" != "" ]; then
    echo "X Window is Xorg 7.3"
    dist="xorg73"
  fi
fi

if [ "$dist" = "" ]; then
  XORG_VER=`grep -F "X Window System Version 6.9." $xorg_log`
  if [ "$XORG_VER" != "" ]; then
    echo "X Window is Xorg 6.9"
    dist="xorg69"
  fi
fi

if [ "$dist" = "" ]; then
  echo "Can't find proper X Window Version, Please update driver manually!!"
  exit 1
fi

#driver update
test -d $PKGPWD/$arch/$dist || exit 1

cd $PKGPWD/$arch/$dist
./update.sh

cd $PKGPWD


